import Vue from 'vue'
import Router from 'vue-router'
import Index from '@/components/Index'
import Letters from '@/components/Letters'
import Letter from '@/components/Letter'
import Search from '@/components/Search'
import Features from '@/components/Features'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      component: Index,
      name: 'Index',
      path: '/'
    },
    {
      component: Letters,
      name: 'Letters',
      path: '/letters'
    },
    {
      component: Letter,
      name: 'Letter',
      path: '/letters/:letter'
    },
    {
      component: Features,
      name: 'Features',
      path: '/features'
    },
    {
      component: Search,
      name: 'Search',
      path: '/search'
    },
    {
      path: '*',
      redirect: '/'
    }
  ]
})
